<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


function smarty_modifier_money($value)
{
 $value = (int) (((float) $value) * 100);
 $value = ($value / 100);

 $float_part = (int) (($value - (int) $value) * 100);
 $value = trim("" . ((int) $value));
 $result = "";

 for($i = strlen($value) - 1; $i >= 0; $i--) {
  $result = $value[$i] . $result;

  if((strlen($value) - $i) % 3 == 0 && ($i != 0)) {
   $result = "," . $result;
  }
 }

 $result .= sprintf(".%02d", $float_part);

 return $result;
}

?>
